Bug 143315 - Can not connect to MySQL 4.x server
Can not connect to MySQL 4.x server
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-18 14:49 EST by Frank Büttner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 05:32:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2004-12-18 14:49:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-AT; rv:1.7.3)
Gecko/20040910

Description of problem:
When i Qt app try to connect to a MySQL 4.x Server I get the error
that I have a old client.

Version-Release number of selected component (if applicable):
qt-MySQL-3.3.3-0.1

How reproducible:
Always

Steps to Reproduce:
Take a Qt app and try to connect to a MySQL 4.x server

Actual Results:  Get a error over a old client.

Expected Results:  working app

Additional info:

The problem comes for that the MySQL 4.xx Server stores the password
of the users in  another format that a 3.xx server it do.
Comment 1 Ngo Than 2004-12-20 05:32:05 EST
We did not ship mysql-4.x in FC2! The mysql plugin in qt has linked
against the old mysql-3.x. So it does not work if the format is not
compatible!

If you want mysql-4.x, you should rebuild it yourself please.


Note You need to log in before you can comment on or make changes to this bug.